> ## Documentation Index
> Fetch the complete documentation index at: https://docs.screenshothis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Liveness Probe

> Kubernetes-compatible liveness probe to verify service is alive



## OpenAPI

````yaml get /health/live
openapi: 3.1.0
info:
  version: 1.0.0
  title: Screenshothis API
  description: API designed to take screenshots of websites
servers:
  - url: https://api.screenshothis.com
    description: Production Server
security: []
paths:
  /health/live:
    get:
      summary: Liveness probe
      description: >-
        Kubernetes-compatible liveness probe that indicates whether the service
        is alive and functioning. This lightweight check verifies the
        application is responsive and should be used by orchestrators to
        determine if the container needs to be restarted.
      operationId: live
      responses:
        '200':
          description: Service is alive
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - alive
                  timestamp:
                    type: string
                required:
                  - status
                  - timestamp
              example:
                status: alive
                timestamp: '2024-01-01T00:00:00.000Z'
        '503':
          description: Service is not alive
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - not alive
                  timestamp:
                    type: string
                  error:
                    type: string
                required:
                  - status
                  - timestamp
                  - error
              example:
                status: not alive
                timestamp: '2024-01-01T00:00:00.000Z'
                error: Application unresponsive
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Screenshothis } from "@screenshothis/sdk";

            const screenshothis = new Screenshothis();

            async function run() {
              const result = await screenshothis.health.getLive();

              console.log(result);
            }

            run();
        - lang: php
          label: PHP (SDK)
          source: |-
            declare(strict_types=1);

            require 'vendor/autoload.php';

            use Screenshothis\Screenshothis;

            $sdk = Screenshothis\Screenshothis::builder()->build();



            $response = $sdk->live(

            );

            if ($response->object !== null) {
                // handle response
            }

````